#include <bits/stdc++.h>

using namespace std;

int n, m, ans;
string a[20];
bool b;

int main(){
	ios_base::sync_with_stdio(false);
	cin.tie(nullptr);
	cin >> n >> m;
	for(int i = 0; i < n; ++i){
		cin >> a[i];
	}
	b = 1;
	for(int i = 0; i < n; ++i){
		for(int j = 0; j < m; ++j){
			if(a[i][j] != '.'){
				b = 0;
			}
		}
	}
	if(b){
		for(int i = 0; i < min(n, m); ++i){
			a[i][i] = 'C';
		}
		for(int i = 0; i < n; ++i){
			cout << a[i] << "\n";
		}
		return 0;
	}
	cout << -1;
}